AIO_RETURN(3) | Library Functions Manual | AIO_RETURN(3)

# NAME

`aio_return` — retrieve return status of asynchronous I/O operation (REALTIME)

# LIBRARY

POSIX Real-time Library (librt, -lrt)

# SYNOPSIS

`#include <aio.h>`

ssize_t
`aio_return`(struct aiocb *aiocbp);

# DESCRIPTION

The `aio_return`() system call returns the final status of the asynchronous I/O request associated with the structure pointed to by aiocbp.

The `aio_return`() system call should only be called once, to obtain the final status of an asynchronous I/O operation once it has completed (aio_error(3) returns something other than `EINPROGRESS`).

# RETURN VALUES

If the asynchronous I/O request has completed, the status is returned as described in read(2), write(2), or fsync(2). Otherwise, `aio_return`() returns -1 and sets errno to indicate the error condition.

# ERRORS

The `aio_return`() system call will fail if:

[`EINVAL`]
  The aiocbp argument does not reference a completed asynchronous I/O request.

# SEE ALSO

fsync(2), read(2), write(2), aio(3)

# STANDARDS

The `aio_return`() system call is expected to conform to the IEEE Std 1003.1-2001 (“POSIX.1”) standard.

# HISTORY

The `aio_return`() system call first appeared in NetBSD 5.0.

August 13, 2011 | NetBSD 11.0